Bug 118673 - Cross reference category disappears when a comment is placed in the caption category
Summary: Cross reference category disappears when a comment is placed in the caption c...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, regression
Depends on:
Blocks: Fields-Cross-Reference
  Show dependency treegraph
 
Reported: 2018-07-10 15:47 UTC by wolfgang.fuchs
Modified: 2022-06-18 03:31 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
example of the described bug (10.91 KB, application/vnd.oasis.opendocument.text)
2018-07-10 15:49 UTC, wolfgang.fuchs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description wolfgang.fuchs 2018-07-10 15:47:59 UTC
Description:
When a comment is placed in the category name of a caption, the category disappears in all cross references that use category.
For example, when a comment is added to the word "Table" in the caption "Table 1: <Caption Text>", then all cross references which should display "Table 1" will instead display only "1". As soon as the comment is removed, the cross reference will correctly display "Table 1"

Steps to Reproduce:
1. Create a table.
2. Add a caption.
3. Insert a cross reference to the table, using "Category and Number"
4. Add a comment to the word "Table" in the caption.

Actual Results:
The cross reference will display "1" instead of "Table 1" as soon as the comment is added.

Expected Results:
The cross reference should not be affected by a comment to the caption.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Comment 1 wolfgang.fuchs 2018-07-10 15:49:35 UTC
Created attachment 143431 [details]
example of the described bug
Comment 2 Timur 2018-07-10 17:05:56 UTC
Repro 6.2+
Comment 3 QA Administrators 2019-08-01 03:36:41 UTC Comment hidden (obsolete)
Comment 4 wolfgang.fuchs 2019-08-07 07:21:25 UTC
Repro 5.1.6.2 (Ubuntu)
Repro 6.1.3.2 (Windows)
Comment 5 Buovjaga 2020-06-06 15:15:26 UTC
Bibisected with Linux 43all to range https://git.libreoffice.org/core/+log/36170cd0dbc3409270cf3cf998805a790ee6228f..b0f170d7df9cff12535d2ecfd146b32b745a8ef8

Fortunately we seem to have a clear cause in https://git.libreoffice.org/core/+/7dde426915ebbb7ea2ca3dc661f0a9ac70a26d5c%5E%21/
fdo#50801 fix cross-reference text when Caption order is Numbering first
Comment 6 QA Administrators 2022-06-18 03:31:13 UTC
Dear wolfgang.fuchs,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug